io.vertx.serviceproxy.generator

## Class GeneratorUtils

- java.lang.Object
- - io.vertx.serviceproxy.generator.GeneratorUtils

-     public class GeneratorUtils
      extends Object

  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorUtils()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.stream.Stream<String>` | `additionalImports(ProxyModel model)`
    `void` | `classHeader(PrintWriter w)`
    `static String` | `generateDeserializeDataObject(String stmt, io.vertx.codegen.type.ClassTypeInfo doTypeInfo)`
    `static String` | `generateSerializeDataObject(String stmt, io.vertx.codegen.type.ClassTypeInfo doTypeInfo)`
    `void` | `handleCloseAccessed(PrintWriter w)`
    `void` | `handlerConstructorBody(PrintWriter w)`
    `void` | `handlerGenImports(PrintWriter w)`
    `boolean` | `isResultHandler(io.vertx.codegen.ParamInfo param)`
    `String` | `loadResource(String resource)`
    `String` | `loadResource(String resource, String moduleName)`
    `void` | `proxyGenImports(PrintWriter w)`
    `void` | `roger(PrintWriter w)`
    `void` | `writeImport(PrintWriter w, String i)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratorUtils

          public GeneratorUtils()

  - ### Method Detail

    - #### additionalImports

          public java.util.stream.Stream<String> additionalImports(ProxyModel model)

    - #### classHeader

          public void classHeader(PrintWriter w)

    - #### proxyGenImports

          public void proxyGenImports(PrintWriter w)

    - #### handlerGenImports

          public void handlerGenImports(PrintWriter w)

    - #### roger

          public void roger(PrintWriter w)

    - #### handlerConstructorBody

          public void handlerConstructorBody(PrintWriter w)

    - #### handleCloseAccessed

          public void handleCloseAccessed(PrintWriter w)

    - #### writeImport

          public void writeImport(PrintWriter w,
                                  String i)

    - #### loadResource

          public String loadResource(String resource)

    - #### loadResource

          public String loadResource(String resource,
                                     String moduleName)

    - #### isResultHandler

          public boolean isResultHandler(io.vertx.codegen.ParamInfo param)

    - #### generateDeserializeDataObject

          public static String generateDeserializeDataObject(String stmt,
                                                             io.vertx.codegen.type.ClassTypeInfo doTypeInfo)

    - #### generateSerializeDataObject

          public static String generateSerializeDataObject(String stmt,
                                                           io.vertx.codegen.type.ClassTypeInfo doTypeInfo)

Copyright © 2021 Eclipse. All rights reserved.